Charge

A charge record exposes a SuiteBilling charge to REST web services.

To access this record in NetSuite, go to Transactions > Clients > Create Charges.

For information about the charge record user interface, see Generating Charges.

This record is not a subrecord and has no subrecords.

The REST API Browser includes information about the field names and field types of the charge record, and about the HTTP methods, request parameters, and operations available to this record. For details, see the REST API Browser's charge reference page.

For information about using the REST API Browser, see The REST API Browser.

Record ID

The record ID for the charge REST record is charge.

Prerequisites

Before you can use this record through REST web services, you must first enable the Charge-Based Billing feature. Go to Setup > Company > Setup Tasks > Enable Features. On the Transactions subtab, check the Charge-Based Billing box, and then click Save.

For more information, see Enabling SuiteBilling Features.

Usage Notes

You must specify the stage field as an enumeration string. Possible values can be obtained through the Metadata Catalog. For more information, see Working with Resource Metadata.

Charge type must be specified as an internal ID. You can obtain possible values through SuiteScript while creating a charge through the user interface.

Code Samples

This sample shows a common billing usage case.

Create a Charge

              POST https://demo123.suitetalk.api.netsuite.com/services/rest/record/v1/charge
{ "billTo": 5, "stage": "READY_FOR_BILLING", "chargeDate": "2020-07-14", "chargeType": -19, "billingItem": 5, "rate": 100.0, "quantity": 1
} 

            

Update a Charge

              PATCH {{REST_SERVICES}}/record/v1/charge/{id}
{
    "billDate": "2026-01-01",
    "rate": 100
} 

            

Related Topics

General Notices